SOM {EmbedSOM} | R Documentation

## Build a self-organizing map

### Description

Build a self-organizing map

### Usage

    SOM(data, xdim = 10, ydim = 10, zdim = NULL, rlen = 10,
      alphaA = c(0.05, 0.01), radiusA = stats::quantile(nhbrdist, 0.67) *
      c(1, 0), alphaB = alphaA * c(-negAlpha, -0.01 * negAlpha),
      radiusB = negRadius * radiusA, init = FALSE,
      initf = Initialize_PCA, distf = 2, codes = NULL,
      importance = NULL, nhbr.method = "maximum", negRadius = 1.33,
      negAlpha = 0.1, noMapping = F)

### Arguments

`data` | Matrix containing the training data
`xdim` | Width of the grid
`ydim` | Hight of the grid
`zdim` | Depth of the grid, causes grid to be 3D
`rlen` | Number of times to loop over the training data for each MST
`alphaA` | Start and end learning rate
`radiusA` | Start and end radius
`alphaB` | Start and end learning rate for the second radius
`radiusB` | Start and end radius (make sure it's larger than radiusA)
`init` | Initialize cluster centers in a non-random way
`initf` | Use the given initialization function if init==T (default: Initialize_PCA)
`distf` | Distance function (1=manhattan, 2=euclidean, 3=chebyshev)
`codes` | Cluster centers to start with
`importance` | array with numeric values. Parameters will be scaled according to importance
`nhbr.method` | Way of computing grid distances, passed as method= to dist() function. Default 'maximum' (square neighborhoods); use 'euclidean' for round neighborhoods.
`negRadius` | easy way to set radiusB as a multiple of default radius (use lower value for higher dimensions)
`negAlpha` | the same for alphaB
`noMapping` | If true, do not produce mapping (default F). Useful for online/streaming use.

### Value

A map, which is a list containing all parameter settings and results

### See Also

FlowSOM::SOM

[Package EmbedSOM version 1.9.1 Index]